org.apache.solr.search.facet

## Class FacetFieldMerger

- java.lang.Object
- - org.apache.solr.search.facet.FacetMerger
  - - org.apache.solr.search.facet.FacetFieldMerger

-     public class FacetFieldMerger
      extends FacetMerger

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.search.facet.FacetMerger

      `FacetMerger.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetFieldMerger(FacetField freq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finish(FacetMerger.Context mcontext)`
    `Object` | `getMergedResult()`
    `Map<String,Object>` | `getRefinement(FacetMerger.Context mcontext)`
    `void` | `merge(Object facetResult, FacetMerger.Context mcontext)`
    `protected void` | `merge(SimpleOrderedMap facetResult, FacetMerger.Context mcontext)`
    `void` | `mergeBucketList(List<SimpleOrderedMap> bucketList, FacetMerger.Context mcontext)`
    `void` | `sortBuckets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetFieldMerger

          public FacetFieldMerger(FacetField freq)

  - ### Method Detail

    - #### merge

          public void merge(Object facetResult,
                            FacetMerger.Context mcontext)

      Specified by:
        `merge` in class `FacetMerger`

    - #### merge

          protected void merge(SimpleOrderedMap facetResult,
                               FacetMerger.Context mcontext)

    - #### getMergedResult

          public Object getMergedResult()

      Specified by:
        `getMergedResult` in class `FacetMerger`

    - #### finish

          public void finish(FacetMerger.Context mcontext)

      Specified by:
        `finish` in class `FacetMerger`

    - #### mergeBucketList

          public void mergeBucketList(List<SimpleOrderedMap> bucketList,
                                      FacetMerger.Context mcontext)

    - #### sortBuckets

          public void sortBuckets()

    - #### getRefinement

          public Map<String,Object> getRefinement(FacetMerger.Context mcontext)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.